Brand
Ask an AI question over the scraped content of a brand site
POST
/brand/ai/queryAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url?string
A fully-qualified HTTP(S) URL to answer questions about
domain?string
A bare domain to scrape when url is omitted
query*string
Question to answer using the page content
Response Body
application/json
curl -X POST "https://example.com/brand/ai/query" \ -H "Content-Type: application/json" \ -d '{ "query": "What does this company sell?" }'{ "success": true, "data": { "status": "ok", "code": 200, "answer": "Example sells hosted web scraping and crawling infrastructure for developers.", "source": { "url": "https://example.com/", "title": "Example" }, "key_metadata": { "credits_consumed": 10, "credits_remaining": 4990 } }}Empty
Empty
Empty